<?php

function isAllowedFormat($fichier) {
    return !($fichier["type"] != "image/jpeg" && $fichier["type"] != "image/png");
}

function getMimeType($fichier) {
    return str_replace("image/", "", $fichier["type"]);
}

//Création de l'apercu d'une photo
function creerLogo($photo, $repertoire, $destination) {

    if (!isAllowedFormat($photo)) {
        return "Format d'image non-autorisé";
    }

    $mime = getMimeType($photo);

    move_uploaded_file($photo["tmp_name"], "$repertoire/temp." . $mime);
    $infoImage = getimagesize("$repertoire/temp." . $mime);
    $imsrc = imagecreatefromjpeg("$repertoire/temp." . $mime);
    //La photo sera redimensionné à la largeur désirée en gardant le même ratio pour la hauteur.
    $ntaillex = 360;
    $ntailley = ($infoImage[1] * $ntaillex) / $infoImage[0];
    $imdst = imagecreatetruecolor($ntaillex, $ntailley) or die("Impossible de redimesionner l'image!");
    imagecopyresampled($imdst, $imsrc, 0, 0, 0, 0, $ntaillex, $ntailley, $infoImage[0], $infoImage[1]);
    imageinterlace($imdst, 1);
    if ($mime == "jpeg") {
        imagejpeg($imdst, "$repertoire/$destination.$mime");
    } else {
        imagepng($imdst, "$repertoire/$destination.$mime");
    }
    imagedestroy($imdst);
    unlink("$repertoire/temp." . $mime);
    chmod("$repertoire/$destination.$mime", 777);

    //Succès
    return "Logo téléversé";
}
